import { defineEventHandler } from "h3";

import { database } from "~/server/utils/database";
import { prismaToWeb } from "~/server/utils/prismaToWeb";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const key = e.context.params?.id as string;
  const rvalue = await database.client.findUnique({
    where: {
      id: BigInt(key),
    },
  });

  if (!rvalue) throw createError({ statusCode: 404 });
  return prismaToWeb(rvalue);
});
