import { defineEventHandler, readBody } from "h3";

import { checkIsClient } from "../clients.post";
import { database } from "~/server/utils/database";
import { prismaToWeb } from "~/server/utils/prismaToWeb";

import { createError } from "#imports";

export default defineEventHandler(async (e) => {
  const body = await readBody(e);
  const id = e.context.params?.id as string;

  if (!checkIsClient(body, true)) throw createError({ message: "Invalid body", statusCode: 400 });

  const rvalue = await database.client.update({
    where: {
      id: BigInt(id),
    },
    data: body,
  });

  return prismaToWeb(rvalue);
});
